/*
	File name:	sizepgm.c
	Type:		C main file.
	Author:		Gang Liu
	Date:		06/30/97
	Function:	Read the number of columns and rows of a PGM file
			and send them to stdout.
*/
#include <stdio.h>

#include "must.h"
#include "pgm.h"

void	usage(char *cmd);

int	main(int argc, char *argv[])
{
	int	i, j;

	char	*name;

	uchar	**image;
	int	width, height;

	if(argc<2) {
		usage(argv[0]);
		return -1;
	}

	name=argv[1];

	i=ReadPGM(name, &width, &height, &image);
	if(i) myerror(-2, stderr, "Error reading the input image.\n");

	printf("%d %d\n", width, height);

	free2d((void**)image);
	return 0;
}

void	usage(char *cmd)
{
fprintf(stderr, "Usage:\n\t %s <PGM>\n", cmd);
fprintf(stderr, "<PGM> is the name of the image whose size is of interest.\n");
fprintf(stderr, "\n");
}
